List all Bridges
Retrieve a list of bridges.
- Production
- Sandbox
GET/v1/bridge
curl -X GET 'https://api.minteo.finance/v1/bridge' \-H 'Authorization: Bearer <your-api-key>'GET/v1/bridge
curl -X GET 'https://api.sandbox.minteo.finance/v1/bridge' \-H 'Authorization: Bearer <your-api-key>'RESPONSE
{ "output": [ { "id": "dab2185a-bbd1-4708-830c-ca1debdc26c5", "status": "SUCCEEDED", "amount": "42069", "from_source_id": "6bfde08c-bfac-4046-ab06-e032ac84d705", "to_source_id": "f22efde6-fe2c-4f44-8a2f-3ef349d7e985", "activities": [ { "type": "AWAITING_FUNDING_SETTLEMENT", "status": "SUCCEEDED", "last_update_at": "2025-04-11T03:50:03.079Z" }, { "type": "BROADCAST_BURN_TRANSACTION", "status": "SUCCEEDED", "last_update_at": "2025-04-11T03:50:04.667Z" }, { "type": "BURN_TOKENS", "status": "SUCCEEDED", "last_update_at": "2025-04-11T04:00:05.711Z" }, { "type": "BROADCAST_MINT_AND_TRANSFER_TRANSACTION", "status": "SUCCEEDED", "last_update_at": "2025-04-11T04:10:11.286Z" }, { "type": "MINT_AND_TRANSFER_TOKENS", "status": "PENDING", "last_update_at": "2025-04-11T04:00:09.469Z" } ], "public_data": { "burn_transaction": "0xc72b501003a21c4cc550e19083d358adead98f668e7985b1829f24269a50ff54", "deposit_wallet_address": "0xF2431b311878E91e3D4956D7664C361967a1A748", "mint_and_transfer_transaction": "0xe30c7d73b8f3b05bda4efdb49a5122f0728571cab973f9186ea96b2a51f178f3" }, "user_id": "c13c4cee-aac1-4e05-8b48-e20cf5fda459", "customer_id": "0f82d3f2-443c-4dfb-924e-e8c499de0dd0", "created_at": "2025-04-11T03:37:10.333Z", "finished_at": "2025-04-11T03:37:10.333Z", "updated_at": "2025-04-11T04:10:11.336Z" } ]}Endpoint
GET
/v1/bridgeScope
bridge:all
Request
Query Parameters
All these parameters are optional.
pageintegerThe number of the page to return.
pageSizeintegerThe number of the size of the page.
statusPENDING | SETTLED | SUCCEEDED | FAILEDThe bridges to retrieve
GET
/v1/bridge?page=1&pageSize=30&status=SUCCEEDED